<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Dec 08 12:43:15 EET 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>S-Index</title>
<meta name="date" content="2018-12-08">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Y</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="../Serialize/package-summary.html">Serialize</a> - package Serialize</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Serialize/JsonSerialize.html#serializeList-Serialize.UniversityList-java.lang.String-">serializeList(UniversityList, String)</a></span> - Method in class Serialize.<a href="../Serialize/JsonSerialize.html" title="class in Serialize">JsonSerialize</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Serialize/Serializer.html#serializeList-Serialize.UniversityList-java.lang.String-">serializeList(UniversityList, String)</a></span> - Method in interface Serialize.<a href="../Serialize/Serializer.html" title="interface in Serialize">Serializer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Serialize/TxtSerialize.html#serializeList-Serialize.UniversityList-java.lang.String-">serializeList(UniversityList, String)</a></span> - Method in class Serialize.<a href="../Serialize/TxtSerialize.html" title="class in Serialize">TxtSerialize</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Serialize/XmlSerialize.html#serializeList-Serialize.UniversityList-java.lang.String-">serializeList(UniversityList, String)</a></span> - Method in class Serialize.<a href="../Serialize/XmlSerialize.html" title="class in Serialize">XmlSerialize</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Serialize/Serializer.html" title="interface in Serialize"><span class="typeNameLink">Serializer</span></a> - Interface in <a href="../Serialize/package-summary.html">Serialize</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/ServiceUniversity.html#serviceListUniversity">serviceListUniversity</a></span> - Variable in class com.Model.<a href="../com/Model/ServiceUniversity.html" title="class in com.Model">ServiceUniversity</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/Model/ServiceUniversity.html" title="class in com.Model"><span class="typeNameLink">ServiceUniversity</span></a> - Class in <a href="../com/Model/package-summary.html">com.Model</a></dt>
<dd>
<div class="block">Service class containing field <b>serviceListUniversity</b>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/Model/ServiceUniversity.html#ServiceUniversity-java.util.List-">ServiceUniversity(List&lt;University&gt;)</a></span> - Constructor for class com.Model.<a href="../com/Model/ServiceUniversity.html" title="class in com.Model">ServiceUniversity</a></dt>
<dd>
<div class="block">Constructor - creating a new object</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/Model/FullAddress.html#setAddress-java.lang.String-">setAddress(String)</a></span> - Method in class com.Model.<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/University.html#setAddress-com.Model.FullAddress-">setAddress(FullAddress)</a></span> - Method in class com.Model.<a href="../com/Model/University.html" title="class in com.Model">University</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/FullAddress.html#setCity-java.lang.String-">setCity(String)</a></span> - Method in class com.Model.<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/FullAddress.html#setId-int-">setId(int)</a></span> - Method in class com.Model.<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/FullAddress.html#setIndex-int-">setIndex(int)</a></span> - Method in class com.Model.<a href="../com/Model/FullAddress.html" title="class in com.Model">FullAddress</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/University.html#setLevel-com.Model.accreditationLevel-">setLevel(accreditationLevel)</a></span> - Method in class com.Model.<a href="../com/Model/University.html" title="class in com.Model">University</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Serialize/UniversityList.html#setList-java.util.List-">setList(List&lt;University&gt;)</a></span> - Method in class Serialize.<a href="../Serialize/UniversityList.html" title="class in Serialize">UniversityList</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/ServiceUniversity.html#setListUniversity-java.util.List-">setListUniversity(List&lt;University&gt;)</a></span> - Method in class com.Model.<a href="../com/Model/ServiceUniversity.html" title="class in com.Model">ServiceUniversity</a></dt>
<dd>
<div class="block">Method of determining the list of universities <a href="../com/Model/ServiceUniversity.html#serviceListUniversity"><code>ServiceUniversity.serviceListUniversity</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../com/Model/University.html#setName-java.lang.String-">setName(String)</a></span> - Method in class com.Model.<a href="../com/Model/University.html" title="class in com.Model">University</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/Model/University.html#setYearOfEstablishment-java.lang.String-">setYearOfEstablishment(String)</a></span> - Method in class com.Model.<a href="../com/Model/University.html" title="class in com.Model">University</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
